Professional Web Applications Themes

Ports and Packages: Updating problems - FreeBSD

I just upgraded from FreeBSD 4.9R to 4.11R (cvsup'd sources and ports, buildworld, buildkernel, etc). Then I went to work on upgrading my ports. Portupgrade and some manual intervention did a fairly decent job. I used the "ports" which compiled mostly everything (Xfree-4 went fine too) but it never compiles KDE so I fall-back to using "packages" for those. But I'm confused as to why the packages seem to be older versions than what's in the ports? A fair bit of the packages required for KDE spit out notices they were expecting version B of a dependency but I have ...

  1. #1

    Default Ports and Packages: Updating problems

    I just upgraded from FreeBSD 4.9R to 4.11R (cvsup'd sources and ports,
    buildworld, buildkernel, etc).

    Then I went to work on upgrading my ports. Portupgrade and some manual
    intervention did a fairly decent job.

    I used the "ports" which compiled mostly everything (Xfree-4 went fine
    too) but it never compiles KDE so I fall-back to using "packages" for
    those.

    But I'm confused as to why the packages seem to be older versions than
    what's in the ports? A fair bit of the packages required for KDE spit out
    notices they were expecting version B of a dependency but I have version A
    (the latest)

    I can't update via ports:

    arts-1.3.2,1
    gdk-pixbuf-0.22.0
    kdemultimedia-mpeglib_artsplug-3.3.2
    koffice-1.3.5_1,1

    and if I try to install via package, I get the versions above, which are
    now considered "old" and I'm being told they need to be updated when I run
    pkg_version

    I get varying errors when trying to compile via ports, of which something
    about libjpeg seems to be common.

    Do I need to cvsup again and try the above 4 programs again? or do I need
    to capture the text where they bomb and submit to the ports' responsible
    person?

    Thanks...
    -gerry
    Gerry Guest

  2. #2

    Default Re: Ports and Packages: Updating problems

    On Wednesday 16 March 2005 07:25 pm, Gerry Freymann wrote: 

    Gerry, give portmanager a try. It should straighten out the
    dependencies for you and rebuild everthing via ports.

    This is all you need do:

    cd /usr/ports/sysutils/portmanger
    make install clean
    rehash
    portmanager -u

    -Mike
    Michael Guest

  3. #3

    Default Re: Ports and Packages: Updating problems

    On Wed, 16 Mar 2005 19:30:04 -0800
    "Michael C. Shultz" <com> wrote:
     
    >
    >Gerry, give portmanager a try. It should straighten out the
    >dependencies for you and rebuild everthing via ports.[/ref]

    Hi Mike. I've seen you promoting portmanager and it looks like a fine
    product! Keep up the good work.

    After letting portmanager loose overnight, it came up with this summary:

    status report finished
    ================================================== ======================
    percentDone-=>35 = 100 - ( 100 * ( QTY_outOfDatePortsDb-=>11 /
    TOTAL_outOfDatePortsDb-=>17 ) ) upgrade 0.2.9_3 info: ignoring
    arts-1.3.2,1, reason: failed during (2) make checkForOldDepencies 0.2.9_3
    skip: kdelibs-3.3.2_2 has a dependency arts-1.3.2,1 that needs to be
    updated first checkForOldDepencies 0.2.9_3 skip:
    kdemultimedia-mpeglib_artsplug-3.3.2 has a dependency arts-1.3.2,1 that
    needs to be updated first checkForOldDepencies 0.2.9_3 skip:
    kdegames-3.3.2 has a dependency arts-1.3.2,1 that needs to be updated
    first checkForOldDepencies 0.2.9_3 skip: kdeedu-3.3.2 has a dependency
    arts-1.3.2,1 that needs to be updated first checkForOldDepencies 0.2.9_3
    skip: kdeartwork-3.3.2 has a dependency arts-1.3.2,1 that needs to be
    updated first checkForOldDepencies 0.2.9_3 skip: koffice-1.3.5_1,1 has a
    dependency arts-1.3.2,1 that needs to be updated first
    checkForOldDepencies 0.2.9_3 skip: kdebase-3.3.2 has a dependency
    arts-1.3.2,1 that needs to be updated first upgrade 0.2.9_3 info: ignoring
    gdk-pixbuf-0.22.0, reason: failed during (2) make checkForOldDepencies
    0.2.9_3 skip: kdepim-3.3.2 has a dependency arts-1.3.2,1 that needs to be
    updated first checkForOldDepencies 0.2.9_3 skip: kdemultimedia-3.3.2 has a
    dependency arts-1.3.2,1 that needs to be updated first
    ------------------------------------------------------------------------
    update of ports collection complete with either some errors, ignored ports
    or both
    ================================================== ======================

    That's interesting, as there are now 11 ports that needs updating and I
    started out with 6. I assume it's corrected some versions of packages that
    installed complaining version "B" of X was installed when I had "A"?

    But it seems my biggest headache is getting arts to compile and install so
    the remaining ports can update afterwards. I'll go concentrate on that
    port specifically and then run portmanager again after I'm successful with
    arts [which could be today, tomorrow, next week, next month].

    Regards,
    -gerry
    Gerry Guest

Similar Threads

  1. Getting current ports and packages.
    By Ron in forum FreeBSD
    Replies: 3
    Last Post: March 14th, 05:20 PM
  2. Items exist in ports, but not as packages.
    By Paul Richards in forum FreeBSD
    Replies: 6
    Last Post: March 8th, 11:49 PM
  3. Updating binary packages
    By Soheil in forum FreeBSD
    Replies: 3
    Last Post: March 6th, 06:37 AM
  4. Updating Ports
    By Cody Holland in forum FreeBSD
    Replies: 5
    Last Post: February 24th, 09:17 AM
  5. problem updating ports
    By Rene C. Mendoza in forum FreeBSD
    Replies: 0
    Last Post: February 17th, 07:37 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139